Subject: Re: 5.10 LTS Kernel: 2 or 6 years?

From: Greg Kroah-Hartman <[email-masked]>
Date: Fri, 19 Feb 2021 10:08:33 +0100

On Fri, Feb 19, 2021 at 04:54:24PM +0800, Hanjun Guo wrote:
> Hi Greg,
> 
> On 2021/1/26 15:29, Greg Kroah-Hartman wrote:
> [...]
> > 
> > I want to see companies _using_ the kernel, and most importantly,
> > _updating_ their devices with it, to know if it is worth to keep around
> > for longer than 2 years.  I also, hopefully, want to see how those
> > companies will help me out in the testing and maintenance of that kernel
> > version in order to make supporting it for 6 years actually possible.
> > 
> > So, are you planning on using 5.10?  Will you will be willing to help
> > out in testing the -rc releases I make to let me know if there are any
> > problems, and to help in pointing out and backporting any specific
> > patches that your platforms need for that kernel release?
> 
> We(Huawei) are willing to commit resources to help out in testing the
> stable -rc releases, and to help to backport patches for stable kernels.

Wonderful!

> 5.10 stable kernel will be used for openEuler [1] kernel and also inside
> Huawei. From customer's feedback, it's very important to see the stable
> kernel we used to be maintained for 6 years in the community, and we
> will use 5.10 kernel for at least 6 years, so we are willing to help
> you and help ourselves :)
> 
> In specific, we will start from the testing work, using HULK robot
> (reports lots of bugs to mainline kernel) testing framework to test
> compile, reboot, functional testing, and will extend to basic
> performance regression testing in the future.

Great!  Do you all need an email notification when the -rc releases come
out for the stable trees, or can you trigger off of the -rc stable git
tree?  Different CI systems work in different ways :)

And if you can reply to the -rc release emails with a "Tested-by:" tag,
I will be glad to add that to the release commit when that happens to
show that you all have tested the release.

> And we will start from ARM64 and X86 architecture first, and then extend
> to other platforms.

That's a good start, the useful ones :)

> For patch backporting, will send the bugfix patches (from mainline)
> we spotted, but I think this work may not doing in regular but will
> be triggered as needed.

That's fine, it is not something that happens at a regular interval.

> Does this sound good to you?

Yes it does, thank you so much.

greg k-h

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel